# Services

> Source: https://developers.cloud66.com/v3/endpoints/services/

## List Services

URL: https://developers.cloud66.com/v3/endpoints/services/#list
Endpoint: GET /stacks/:stack_id/services
OAuth scope: public

Get list of all services of a stack.

**Related models:** Service, Pagination

### Parameters

- `stack_id` (string, required) — The stack UID

### Response

```json
{
  "response": [
    {
      "name": "web",
      "service_name": "web",
      "image": "quay.io/cloud66/sample-rails",
      "build_command": null,
      "command": "bundle exec rackup -p 3000",
      "build_root": null,
      "git_url": "http://github.com/cloud66-samples/awesome-app.git",
      "git_branch": "fig",
      "created_at": "2015-02-10T17:41:37Z",
      "updated_at": "2015-02-17T14:40:17Z"
    }
  ],
  "count": 1,
  "pagination": {
    "previous": null,
    "next": null,
    "current": 1,
    "per_page": 30,
    "count": 1,
    "pages": 1
  }
}
```
